## org.gnu.pango
Class Attribute

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.pango.Attribute

Direct Known Subclasses:
  AttrColor, AttrFloat, AttrFontDesc, AttrInt, AttrLanguage, AttrShape, AttrString, PangoAttrEmbossed, PangoAttrStipple

public class Attribute
extends MemStruct

Attributed text is used in a number of places in Pango. It is used as the input to the itemization process and also when creating a `Layout`. The data types and functions in this section are used to represent and manipulate sets of attributes applied to a portion of text.

Method Summary
`int` `getEndIndex()` Returns end index of the range.
`int` `getStartIndex()` Returns the start index of the range

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getStartIndex

    public int getStartIndex()

  Returns the start index of the range

### getEndIndex

    public int getEndIndex()

  Returns end index of the range. The character at this index is not included in the range.